summaryrefslogtreecommitdiff
path: root/update-tests.sh
diff options
context:
space:
mode:
authorNadrieril2020-02-29 22:50:31 +0000
committerNadrieril2020-03-05 15:58:54 +0000
commit36fc9b140373ffacd90ab45750f97424d3808748 (patch)
treedcf0a0c69ff80b2a7a0e76ae82eae3b31e4e8fe4 /update-tests.sh
parent60d202471ed5013d1ab607a4c34b82448d708261 (diff)
Run tests from dhall dir
Diffstat (limited to 'update-tests.sh')
-rwxr-xr-xupdate-tests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/update-tests.sh b/update-tests.sh
index 1bc0a08..d58b4c5 100755
--- a/update-tests.sh
+++ b/update-tests.sh
@@ -12,7 +12,7 @@ Usage: update-tests.sh [missing | add]
END
)
-cd "$(dirname "$0")" || exit 1
+cd "$(dirname "$0")/dhall" || exit 1
if [ ! -x "$(which dhall)" ] ; then
echo "Error: 'dhall' executable not found in PATH"
@@ -89,7 +89,7 @@ function generate_output_file() {
if [ "$1" = "missing" ]; then
echo "Generating missing output files..."
for folder in parser binary-decode semantic-hash import type-inference normalization alpha-normalization; do
- for root in "./dhall-lang/tests" "./dhall/tests"; do
+ for root in "../dhall-lang/tests" "tests"; do
# This is not robust to spaces in filenames, but hopefully there should be none
fd 'A\.dhallb?$' "$root/$folder/success" \
| sed 's/A.dhallb\?$//' \